apiVersion: networking.istio.io/v1alpha3
kind: DestinationRule
metadata:
  name: gallery-be
  namespace: gallery-be
spec:
  host: gallery-be
  subsets:
    - name: v1
      labels:
        ada-ver: v1
    - name: v2
      labels:
        ada-ver: v2
    - name: v3
      labels:
        ada-ver: v3
---
apiVersion: networking.istio.io/v1alpha3
kind: DestinationRule
metadata:
  name: gallery-be-internal
  namespace: gallery-be
spec:
  host: gallery-be.gallery-be.svc.cluster.local
  trafficPolicy:
    loadBalancer:
      simple: ROUND_ROBIN
